Subject: bug#70593: 30.0.50; Dired: buffers of renamed dirs are broken

From: Michael Heerdegen <[email-masked]>
Date: Fri, 10 May 2024 14:56:08 +0200

Drew Adams <[email-masked]> writes:

> But the car of a cons `dired-directory' isn't
> necessarily a directory name or any file name.
> It's just a string used as the Dired buffer
> name.  (Often it is a directory name, but it
> need not be.)

That's exactly the kind of problem why I have CC'd you.

Is this a documented feature, however?  Heard about it (from you).  But
`dired-noselect' doesn't seem to handle or support this case at all, at
least not specifically, although the code doesn't error in this case.

I can only find places in the documentation where the car is described
or referred to as "directory name".

Could you please briefly refresh my knowledge about this use case?  Does
Vanilla Emacs somewhere make use of this case?

> > Subdir insertion in cons value `dired-directory' buffers
> > are not really supported currently it seems
>
> Not sure what you mean.  Even in vanilla Emacs,
> I think subdir insertion is supported.  E.g.:
>
> M-: (dired (list "foobar" "/tata/file.txt"
>                  "/toto/dir/" "/titi/"))

Hmm, indeed, this works in -Q.  Seems one of my local hacks broke this
case.

Thx,

Michael.